## libmanette 0.2.3

=== meson_options.txt ===
option (
  'gudev',
  type: 'feature',
  description: 'Find devices via udev',
  value: 'auto'
)

## libmanette 0.2.0

=== debian/changelog ===
libmanette (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #888208)

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 01 Mar 2018 10:37:31 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libmanette
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper (>= 11),
               gnome-pkg-tools (>= 0.11),
               gobject-introspection (>= 1.30.0),
               pkg-config (>= 0.14),
               libevdev-dev (>= 1.4.5),
               libglib2.0-dev (>= 2.50.0),
               libgirepository1.0-dev (>= 1.30),
               libgudev-1.0-dev,
               meson (>= 0.43.0),
               valac
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/gnome-team/libmanette
Vcs-Git: https://salsa.debian.org/gnome-team/libmanette.git
Homepage: https://gitlab.gnome.org/aplazas/libmanette

Package: libmanette-0.2-0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Simple GObject game controller library
 libmanette is a library for using game controllers using an API inspired
 by GDK's device and event handling. It supports the W3C Draft Gamepad
 specification.
 .
 This package contains the shared libraries.

Package: libmanette-0.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         gir1.2-manette-0.2 (= ${binary:Version}),
         libmanette-0.2-0 (= ${binary:Version}),
         libevdev-dev (>= 1.4.5),
         libglib2.0-dev (>= 2.50.0),
         libgudev-1.0-dev,
Description: Simple GObject game controller library - development files
 libmanette is a library for using game controllers using an API inspired
 by GDK's device and event handling. It supports the W3C Draft Gamepad
 specification.
 .
 This package contains the development files.

Package: gir1.2-manette-0.2
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends}
Description: GObject introspection data for libmanette
 This package contains GObject introspection information.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir,gnome

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_missing:
	dh_missing --list-missing

override_dh_gnome:
	dh_gnome --no-gnome-versions

## libmanette 0.2.1

=== debian/changelog ===
libmanette (0.2.1-2) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Dec 2018 08:25:41 -0500

libmanette (0.2.1-1) unstable; urgency=medium

  * New upstream release
  * Set Architecture to linux-any since libevdev is Linux-only
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 08 Sep 2018 19:04:18 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: libmanette
@@ -17,13 +17,13 @@
                libgudev-1.0-dev,
                meson (>= 0.43.0),
                valac
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/libmanette
 Vcs-Git: https://salsa.debian.org/gnome-team/libmanette.git
 Homepage: https://gitlab.gnome.org/aplazas/libmanette
 
 Package: libmanette-0.2-0
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -36,7 +36,7 @@
 
 Package: libmanette-0.2-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
          gir1.2-manette-0.2 (= ${binary:Version}),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir,gnome

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_missing:
	dh_missing --list-missing

override_dh_gnome:
	dh_gnome --no-gnome-versions

## libmanette 0.2.2

=== debian/changelog ===
libmanette (0.2.2-1) experimental; urgency=medium

  * New upstream release
  * debian/libmanette-0.2-0.symbols: Add new symbol

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Mar 2019 19:32:04 -0400

## libmanette 0.2.3

=== debian/changelog ===
libmanette (0.2.3-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * Bump Standards-Version to 4.4.0
  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 15 Sep 2019 10:18:25 -0400

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 11),
-               gnome-pkg-tools (>= 0.11),
-               gobject-introspection (>= 1.30.0),
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gir,
+               dh-sequence-gnome,
                pkg-config (>= 0.14),
                libevdev-dev (>= 1.4.5),
                libglib2.0-dev (>= 2.50.0),
@@ -17,7 +17,7 @@
                libgudev-1.0-dev,
                meson (>= 0.43.0),
                valac
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/libmanette
 Vcs-Git: https://salsa.debian.org/gnome-team/libmanette.git
 Homepage: https://gitlab.gnome.org/aplazas/libmanette

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@ --with gir,gnome
+	dh $@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4

## libmanette 0.2.4

=== debian/changelog ===
libmanette (0.2.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 23 Apr 2020 01:56:06 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -17,7 +17,7 @@
                libgudev-1.0-dev,
                meson (>= 0.43.0),
                valac
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/libmanette
 Vcs-Git: https://salsa.debian.org/gnome-team/libmanette.git
 Homepage: https://gitlab.gnome.org/aplazas/libmanette

## libmanette 0.2.5

=== meson_options.txt ===
option (
  'gudev',
  type: 'feature',
  description: 'Find devices via udev',
  value: 'auto'
)

option (
  'introspection',
  type: 'boolean',
  description: 'Generate introspection data (requires gobject-introspection)',
  value: true
)

option (
  'vapi',
  type: 'boolean',
  description: 'Generate vapi data (requires vapigen and introspection option)',
  value: true
)

=== debian/changelog ===
libmanette (0.2.5-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper-compat to 13

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 10 Oct 2020 18:35:21 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                pkg-config (>= 0.14),

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 %:
 	dh $@

## libmanette 0.2.6

=== debian/changelog ===
libmanette (0.2.6-3build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:13:16 +0100

libmanette (0.2.6-3) unstable; urgency=medium

  * debian/rules: Simplify a bit
  * Disable building demo for now
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 21 Sep 2021 20:13:22 -0400

libmanette (0.2.6-2) experimental; urgency=medium

  * debian/tests/build:
    - don't use xvfb that's not needed

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 16 Mar 2021 16:09:30 +0100

libmanette (0.2.6-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated meson requirement
  * debian/tests/build:
    - set up a trivial build autopkgtest

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Mar 2021 15:18:03 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: libmanette
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
@@ -15,7 +16,7 @@
                libglib2.0-dev (>= 2.50.0),
                libgirepository1.0-dev (>= 1.30),
                libgudev-1.0-dev,
-               meson (>= 0.43.0),
+               meson (>= 0.53.0),
                valac
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/libmanette

=== debian/tests/control ===
Tests: build
Depends: @, build-essential, pkg-config

## libmanette 0.2.7

=== debian/changelog ===
libmanette (0.2.7-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:52:33 +0000

libmanette (0.2.7-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:26:07 +0000

libmanette (0.2.7-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Add debian/upstream/metadata
  * Update standards version to 4.6.2, no changes needed

  [ Amin Bandali ]
  * New upstream release
    - Allow building as a static library
    - ManetteMappingManager:
      + Strip leading and trailing spaces from mappings
    - ManetteMonitor
      + Always use file backend in Flatpak
      + Skip non-evdev devices
      + Fix object construction
  * Stop using debian/control.in

 -- Amin Bandali <bandali@ubuntu.com>  Mon, 26 Feb 2024 23:28:18 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,9 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: libmanette
 Section: libs
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -18,7 +14,7 @@
                libgudev-1.0-dev,
                meson (>= 0.53.0),
                valac
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/libmanette
 Vcs-Git: https://salsa.debian.org/gnome-team/libmanette.git
 Homepage: https://gitlab.gnome.org/aplazas/libmanette

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Ddemos=false

override_dh_gnome:
	dh_gnome --no-gnome-versions

override_dh_gnome_clean:
	dh_gnome_clean --no-control

## libmanette 0.2.9

=== debian/changelog ===
libmanette (0.2.9-2) unstable; urgency=medium

  [ John Scott ]
  * Update the URL for the upstream homepage

  [ Jeremy Bícha ]
  * Opt into dpkg build API v1
  * Opt into Salsa CI

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 Jan 2025 13:14:18 -0500

libmanette (0.2.9-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * debian/libmatette-0.2-0.symbols: Add new symbols
  * Add Provides: ${gir:Provides} to libmanette-0.2-dev
  * Stop using debian/control.in and dh-sequence-gnome

  [ Debian Janitor ]
  * Add debian/upstream/metadata
  * Update standards version to 4.7.0, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 13 Sep 2024 09:46:30 -0400

=== debian/control ===
Source: libmanette
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dpkg-build-api (= 1),
               libevdev-dev (>= 1.4.5),
               libgirepository1.0-dev (>= 1.30),
               libglib2.0-dev (>= 2.50.0),
               libgudev-1.0-dev,
               meson (>= 0.53.0),
               pkgconf,
               valac
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/libmanette
Vcs-Git: https://salsa.debian.org/gnome-team/libmanette.git
Homepage: https://gnome.pages.gitlab.gnome.org/libmanette/

Package: libmanette-0.2-0
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Simple GObject game controller library
 libmanette is a library for using game controllers using an API inspired
 by GDK's device and event handling. It supports the W3C Draft Gamepad
 specification.
 .
 This package contains the shared libraries.

Package: libmanette-0.2-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: gir1.2-manette-0.2 (= ${binary:Version}),
         libevdev-dev (>= 1.4.5),
         libglib2.0-dev (>= 2.50.0),
         libgudev-1.0-dev,
         libmanette-0.2-0 (= ${binary:Version}),
         ${misc:Depends}
Provides: ${gir:Provides}
Description: Simple GObject game controller library - development files
 libmanette is a library for using game controllers using an API inspired
 by GDK's device and event handling. It supports the W3C Draft Gamepad
 specification.
 .
 This package contains the development files.

Package: gir1.2-manette-0.2
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}
Description: GObject introspection data for libmanette
 This package contains GObject introspection information.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,3 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -Ddemos=false
-
-override_dh_gnome:
-	dh_gnome --no-gnome-versions
-
-override_dh_gnome_clean:
-	dh_gnome_clean --no-control

## libmanette 0.2.12

=== debian/changelog ===
libmanette (0.2.12-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 11 Apr 2025 10:23:58 -0400

libmanette (0.2.11-1) unstable; urgency=medium

  * New upstream release
  * Add Build-Depends: libhidapi-dev
  * debian/libmanette-0.2-0.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 28 Mar 2025 17:13:36 -0400

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                libgirepository1.0-dev (>= 1.30),
                libglib2.0-dev (>= 2.50.0),
                libgudev-1.0-dev,
+               libhidapi-dev,
                meson (>= 0.53.0),
                pkgconf,
                valac
@@ -37,6 +38,7 @@
 Depends: gir1.2-manette-0.2 (= ${binary:Version}),
          libevdev-dev (>= 1.4.5),
          libglib2.0-dev (>= 2.50.0),
+         libhidapi-dev,
          libgudev-1.0-dev,
          libmanette-0.2-0 (= ${binary:Version}),
          ${misc:Depends}

## libmanette 0.2.13

=== meson_options.txt ===
# Demos and binaries
option('demos', type: 'boolean', value: 'true',
  description : 'Build demo programs')
option('build-tests', type: 'boolean', value: 'true',
  description : 'Build tests')
option('install-tests', type: 'boolean', value: 'false',
  description : 'Install tests')

# Documentation and introspection
option('doc', type: 'boolean', value: 'false',
  description : 'Build API reference documentation')
option('introspection', type: 'boolean', value: 'true',
  description : 'Build introspection data (requires gobject-introspection)')
option('vapi', type: 'boolean', value: 'true',
  description : 'Build Vala bindings (requires vapigen and introspection option)')

# Dependencies
option('gudev', type: 'feature', value: 'auto',
  description : 'Enable finding devices via udev')

=== debian/changelog ===
libmanette (0.2.13-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 13 Oct 2025 19:17:58 -0400

libmanette (0.2.12-2) unstable; urgency=medium

  * Team upload
  * d/control: Use ${gir:Depends} instead of hard-coding
  * d/control: Replace build-dependency on libgirepository1.0-dev
    with gobject-introspection and gir1.2-*-dev
  * d/control: Explicitly build-depend on gir1.2-gudev-1.0-dev
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Wed, 13 Aug 2025 12:29:07 +0100

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,18 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dpkg-build-api (= 1),
+               gir1.2-gio-2.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gir1.2-gudev-1.0-dev,
+               gobject-introspection (>= 1.80),
                libevdev-dev (>= 1.4.5),
-               libgirepository1.0-dev (>= 1.30),
                libglib2.0-dev (>= 2.50.0),
                libgudev-1.0-dev,
                libhidapi-dev,
                meson (>= 0.53.0),
                pkgconf,
                valac
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/libmanette
 Vcs-Git: https://salsa.debian.org/gnome-team/libmanette.git
 Homepage: https://gnome.pages.gitlab.gnome.org/libmanette/
@@ -35,12 +38,12 @@
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: gir1.2-manette-0.2 (= ${binary:Version}),
-         libevdev-dev (>= 1.4.5),
+Depends: libevdev-dev (>= 1.4.5),
          libglib2.0-dev (>= 2.50.0),
          libhidapi-dev,
          libgudev-1.0-dev,
          libmanette-0.2-0 (= ${binary:Version}),
+         ${gir:Depends},
          ${misc:Depends}
 Provides: ${gir:Provides}
 Description: Simple GObject game controller library - development files

=== debian/tests/control ===
Tests: build
Depends: build-essential, pkgconf, @
